clear all;
close all;

nThreads = 128;
nBlocks  = 1;

% Get kernel from the ptx files
k_Square = parallel.gpu.CUDAKernel('kernels.ptx','kernels.cu','Square'); 
k_Square.ThreadBlockSize = nThreads; 
k_Square.GridSize = nBlocks; 

% preacllocate the output memory
 d_in = single ( 1 : 128 )';
 d_out = zeros( nThreads, 1, 'single' );
 
%get the memory back from cpu
h_out = feval ( k_Square, d_in, d_out );
h_out_1 = int32 ( gather( h_out ) )';
